view_prim:detector_only:
  extends: .views
  stage: test
  script:
    - ./bin/generate_prim_file -o ${LOCAL_DATA_PATH} -D -t detector_view
    - ls -lrth && ls -lrth ${LOCAL_DATA_PATH}

view_prim:ev001:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/generate_prim_file -o ${LOCAL_DATA_PATH} -t view_ev001 -s 1

view_prim:ev002:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/generate_prim_file -o ${LOCAL_DATA_PATH} -t view_ev002 -s 2

view_prim:ev003:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/generate_prim_file -o ${LOCAL_DATA_PATH} -t view_ev003 -s 3

view_prim:ev004:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - ./bin/generate_prim_file -o ${LOCAL_DATA_PATH} -t view_ev004 -s 4


view_prim:calorimeters:
  extends: .views
  stage: test
  script:
    - cp "compact/subsystem_views/calorimeters.xml" "${DETECTOR_PATH}/."
    - ./bin/generate_prim_file -c ${DETECTOR_PATH}/calorimeters.xml -o ${LOCAL_DATA_PATH} -D -t calorimeters_view
    - ls -lrth && ls -lrth ${LOCAL_DATA_PATH}

view_prim:calorimeters_ev001:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - cp "compact/subsystem_views/calorimeters.xml" "${DETECTOR_PATH}/."
    - ./bin/generate_prim_file -c ${DETECTOR_PATH}/calorimeters.xml -o ${LOCAL_DATA_PATH} -t calorimeters_view_ev001 -s 1

view_prim:calorimeters_ev002:
  extends: .views
  stage: test
  rules:
    - if: '$DETECTOR_EVENT_VIEWS == "ON"'
  script:
    - cp "compact/subsystem_views/calorimeters.xml" "${DETECTOR_PATH}/."
    - ./bin/generate_prim_file -c ${DETECTOR_PATH}/calorimeters.xml -o ${LOCAL_DATA_PATH} -t calorimeters_view_ev002 -s 2

